Overview
PUT
/billing/subscriptions/{id}billingUpdate subscriptions
Replace a record in subscriptions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- tierIdoptionalstring
- statusoptionalstring
- sourceoptionalstring
- startedAtoptionalstring
- expiresAtoptionalstring?
Example
{
"ecosystemId": "string",
"tierId": "string",
"status": "string",
"source": "string",
"startedAt": "string",
"expiresAt": "string"
}Responses
200
subscriptions
- idstring
- userIdstring
- ecosystemIdstring
- tierIdstring
- statusstring
- sourcestring
- startedAtstring
- expiresAtstring?
- assignedBystring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"userId": "string",
"ecosystemId": "string",
"tierId": "string",
"status": "string",
"source": "string",
"startedAt": "string",
"expiresAt": "string",
"assignedBy": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/billing/subscriptions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"tierId": "string",
"status": "string",
"source": "string",
"startedAt": "string",
"expiresAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/subscriptions/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"tierId\": \"string\",\n \"status\": \"string\",\n \"source\": \"string\",\n \"startedAt\": \"string\",\n \"expiresAt\": \"string\"\n}",
});
const data = await res.json();